Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227122 - Review Request: xmlbeans-2.1.0-3jpp - XML-Java binding tool
Summary: Review Request: xmlbeans-2.1.0-3jpp - XML-Java binding tool
Keywords:
Status: CLOSED DUPLICATE of bug 532709
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 18:00 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 17:16:08 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 18:00:54 UTC
Spec URL: http://people.redhat.com/rafaels/specs/xmlbeans-2.1.0-3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/xmlbeans-2.1.0-3jpp.src.rpm
Description: XMLBeans is a tool that allows you to access the full power
of XML in a Java friendly way. It is an XML-Java binding tool.
The idea is that you can take advantage the richness and
features of XML and XML Schema and have these features mapped
as naturally as possible to the equivalent Java language and
typing constructs. XMLBeans uses XML Schema to compile Java
interfaces and classes that you can then use to access and
modify XML instance data. Using XMLBeans is similar to using
any other Java interface/class, you will see things like
getFoo or setFoo just as you would expect when working with
Java. While a major use of XMLBeans is to access your XML
instance data with strongly typed Java classes there are also
API's that allow you access to the full XML infoset (XMLBeans
keeps full XML Infoset fidelity) as well as to allow you to
reflect into the XML schema itself through an XML Schema
Object model.

Javadoc for xmlbeans.

Documents for xmlbeans.

Maven plugin for xmlbeans.

Scripts for xmlbeans.

Comment 1 Thomas Fitzsimmons 2007-02-13 18:19:00 UTC
Taking this as it's needed by Rhino.


Comment 2 Thomas Fitzsimmons 2007-02-15 01:54:10 UTC
Spec URL: http://fitzsim.org/packages/xmlbeans.spec
SRPM URL: http://fitzsim.org/packages/xmlbeans-2.1.0-3jpp.1.src.rpm

Someone should investigate why there are differences between the JPackage
tarball and the upstream one.  I've decided to include the upstream one and
comment out the sections that use the directories that are only present in the
JPackage tarball.  The extra directories only seem to be used for tests and
documentation so there should be no loss of functionality by not including them.


Comment 3 Deepak Bhole 2007-04-25 18:43:14 UTC
This package used to be an indirect dependency of maven2, but was found to be
non-critical, and hence disabled for the time being.

Comment 4 Deepak Bhole 2007-04-25 19:26:26 UTC
On second thought, I think I will keep this open. Although it is non-critical,
it should really be added into Fedora at some point..

Comment 5 Deepak Bhole 2008-02-27 17:16:08 UTC
So far we have not had the need for this. In the interest of cleanup, I am
closing this. It can be re-opened later if needed.

Comment 6 David Walluck 2008-02-28 23:38:32 UTC
XMLBeans still remains an optional dependency of rhino as of rhino version
1_7R1-RC1. The E4X support in rhino is only enabled if xmlbeans/xbean.jar is
present during the build.

One issue is that apparently xmlbeans support would be enabled in the JPackage
version of rhino since JPackage ships xmlbeans, but not in the Fedora-based
version. Last I looked, xmlbeans had some circular dependency or other
preventing it from being built easily.


Comment 7 Lubomir Rintel 2009-11-12 11:29:55 UTC

*** This bug has been marked as a duplicate of bug 532709 ***


Note You need to log in before you can comment on or make changes to this bug.